## ros-noetic-euslime 1.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(euslime)

find_package(catkin REQUIRED catkin_virtualenv)
find_package(Git QUIET)

catkin_package()

# Configure files
configure_file(
  ${PROJECT_SOURCE_DIR}/euslime.el.in
  ${PROJECT_SOURCE_DIR}/euslime.el
)

# git submodule update
find_package(Git QUIET)
option(GIT_SUBMODULE "Check submodules during build" ON)
if(Git_FOUND AND GIT_SUBMODULE)
  message(STATUS "Submodule update")
  execute_process(COMMAND ${GIT_EXECUTABLE} submodule update --init
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE GIT_SUBMOD_RESULT)
  if(NOT GIT_SUBMOD_RESULT EQUAL "0")
    message(FATAL_ERROR "git submodule update failed with ${GIT_SUBMOD_RESULT}")
  endif()
endif()


catkin_generate_virtualenv()

# Install files
install(FILES
  README.md
  requirements.txt
# EusLisp files
  slime-connection.l
  slime-roseus.l
  slime-toplevel.l
  slime-util.l
# Emacs Lisp files
  euslime-config.el
  euslime.el
# Destination
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
  slime-repl-ansi-color/README.md
  slime-repl-ansi-color/LICENSE
  slime-repl-ansi-color/slime-repl-ansi-color.el
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/slime-repl-ansi-color
)

# Install Python
catkin_python_setup()
catkin_install_python(PROGRAMS
  scripts/euslime
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== requirements.txt ===
sexpdata==0.0.3

=== debian/changelog ===
ros-noetic-euslime (1.1.4-4buster) buster; urgency=high

  * Fix build
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Wed, 26 Oct 2022 15:00:00 -0000

ros-noetic-euslime (1.1.3-4buster) buster; urgency=high

  * Wrap multiple s-exp in a single prompt
  * Add ros shortcut commands
  * Better submodule and source build support
  * Bugfix
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Tue, 11 Oct 2022 15:00:00 -0000

ros-noetic-euslime (1.1.2-4buster) buster; urgency=high

  * Enable do-until-key function
  * Improve read socket stability
  * Avoid emacs crashes when the process is not responsive
  * Add slime-switch-to-output-buffer shortcuts
  * Bugfix
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Sun, 01 May 2022 15:00:00 -0000

ros-noetic-euslime (1.1.1-4buster) buster; urgency=high

  * Add recursive load tags
  * Support method description
  * Enable piped-fork function
  * Generate comp/ and geo/ tags
  * Add technical-report.md
  * Bugfix
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Wed, 09 Mar 2022 15:00:00 -0000

ros-noetic-euslime (1.1.0-4buster) buster; urgency=high

  * Major updates in python and toplevel
  * Better support for packages
  * Better TAGS functionality
  * Major updates to test suite
  * Bugfix
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Fri, 25 Sep 2020 15:00:00 -0000

ros-noetic-euslime (1.0.2-4buster) buster; urgency=high

  * Fix build by using catkin_virtualenv
  * Contributors: Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Sun, 31 May 2020 15:00:00 -0000

ros-noetic-euslime (1.0.1-4buster) buster; urgency=high

  * First public release for melodic
  * Contributors: Yuki Furuta, Guilherme Affonso

 -- Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Mar 2020 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-euslime
Section: misc
Priority: optional
Maintainer: Guilherme de Campos Affonso <affonso@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-catkin-virtualenv
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-euslime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roseus, ros-noetic-slime-ros
Description: EusLisp meets SLIME

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-euslime//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
